#!/usr/bin/python3

from time import sleep
timer = 0.000001
num = 100000 ** 1000
print(num)
while True:
# Even Number
    if (num % 2) == 0:
        num = num // 2
        print(num)
        sleep(timer)
    else:
# Odd Number
        num = num * 3 + 1
        print(num)
        sleep(timer)

    if num == 1:
        exit(0)
        
